<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('include/file.php');
require_once('conf.inc.php');

if (!$G_SYS['MAIL_BOX_BACKUP_USE'])
	msg("편지함 백업/복구 기능을 사용할 수 없도록 설정되었습니다.\\n\\n관리자에게 문의하여주시기 바랍니다.", 0, true);


$CFG['TITLE'] = '<b>환경설정</b> >> <b>편지함관리</b> >> <b>백업</b>';


// check
	if (!$_GET['mb_id'])
		msg('올바른 URL로 접근하여 주십시오');


// data
	$DEBUG['db_select']['start'] = getmicrotime();

	// [2025-11-12] 사용자의 기본 설정 가져오기
	$default_config = get_default_config($AUTH['auth_m_no']);

	// count
		$sql = "
			SELECT
				COUNT(*) cnt, SUM(mf_filesize) sum
			FROM
				".$AUTH[auth_m_mf_table]."
			WHERE
				m_no='" . $AUTH['auth_m_no'] . "'
				AND mb_id='". $_GET['mb_id']. "'
			";
		$mail_box = db_get_row($sql);

	$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];


	if ($G_SYS['MAIL_BOX_BACKUP_NAME_ENG'])
	{
		$mb_name = $_GET['mb_id'];
	} else 
	{
		$mb_name = get_mb_name($_GET['mb_id']);
	}	// if()

	$len = strlen($mail_box['cnt']);
	$i = 0;
	$num = 0;
	$rows = array();
	for ($m=1; $m<=$mail_box['cnt']; $m += $G_SYS['MAIL_BOX_BACKUP_LIMIT'])
	{
		$m_max = $m + $G_SYS['MAIL_BOX_BACKUP_LIMIT'] - 1;
		if ($m_max > $mail_box['cnt'])
			$m_max = $mail_box['cnt'];
		$num++;

		$rows[$i]['num'] = $num;
		$rows[$i]['start'] = $m;
		$rows[$i]['end'] = $m_max;
		$rows[$i]['file'] = $G_SYS['MAIL_BOX_BACKUP_PREFIX'].$AUTH['auth_m_id'].'_'.str_replace(' ', '_', file_name_char_limit($mb_name)).'_'.date('Ymd_Hi').'_'.sprintf('%0'.$len.'d', $m).'-'.sprintf('%0'.$len.'d', $m_max).'.zip';
		$i++;
	}	// for()


// [2008-02-19] 임시 업로드 디렉토리에서 3시간이 지난 파일은 자동 삭제.
require_once("include/bigfile_lib.php");
bigfile_upload_tmp_del($UPLOAD_DIR[BIGFILE_TMP]);


// skin view
	nskinset('webmail', 'mail_box_backup.html', 'window_open');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>